about summary refs log tree commit diff
path: root/tests/lang.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2007-01-14T12·32+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2007-01-14T12·32+0000
commite418976107ed1581c108c82cd5b3b06c2f4ba9db (patch)
treee4346ab680095c66ecd49610548b18aa10c33a04 /tests/lang.sh
parent4e329f173f738dfc83e58bdb8ad2ced6c452a395 (diff)
* Option --argstr for passing string arguments easily. (NIX-75)
Diffstat (limited to 'tests/lang.sh')
-rw-r--r--tests/lang.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index 851d89136c..18eb0278cf 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -40,7 +40,11 @@ for i in lang/eval-okay-*.nix; do
     i=$(basename $i .nix)
 
     if test -e lang/$i.exp; then
-        if ! $nixinstantiate --eval-only lang/$i.nix > lang/$i.out; then
+        flags=
+        if test -e lang/$i.flags; then
+            flags=$(cat lang/$i.flags)
+        fi
+        if ! $nixinstantiate $flags --eval-only lang/$i.nix > lang/$i.out; then
             echo "FAIL: $i should evaluate"
             fail=1
         elif ! $aterm_bin/atdiff lang/$i.out lang/$i.exp; then